int button_pins[] = {0, 1, 2, 3};
int debounce_time = 42000;       // us

void setup()
{
  Serial.begin(9600);

  for (int pin : button_pins) {
    pinMode(pin, INPUT_PULLUP);
  }

  attachInterrupt(digitalPinToInterrupt(0), up, RISING);
  attachInterrupt(digitalPinToInterrupt(1), right, RISING);
  attachInterrupt(digitalPinToInterrupt(2), left, RISING);
  attachInterrupt(digitalPinToInterrupt(3), down, RISING);

}

void loop() {
}

void up() {
  delayMicroseconds(debounce_time);
  Serial.write('U');
}

void left() {
  delayMicroseconds(debounce_time);
  Serial.write('L');
}

void right() {
  delayMicroseconds(debounce_time);
  Serial.write('R');
}

void down() {
  delayMicroseconds(debounce_time);
  Serial.write('D');
}
