#include <Wire.h>

byte old1, old2, old3, old4, new1, new2, new3, new4;

void setup()
{
  Wire.begin(19);                // join i2c bus with address #4
  Wire.onReceive(receiveEvent); // register event
  Serial.begin(9600);           // start serial for output
}

void loop()
{
  if (old1 != new1 || old2 != new2 || old3 != new3 || old4 != new4) {
    Serial.write(new1);
    Serial.write(new2);
    Serial.write(new3);
    Serial.write(new4);
    old1 = new1;
    old2 = new2;
    old3 = new3;
    old4 = new4;
  }
}

void receiveEvent(int howMany)
{
  if (howMany >= 4) {
    new1 = Wire.read();
    new2 = Wire.read();
    new3 = Wire.read();
    new4 = Wire.read();
  }
}
